Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_POSIX_Asynch_Read_File_Result Class Reference

This class provides concrete implementation for class for POSIX platforms. More...

`#include <POSIX_Asynch_IO.h>`

Inheritance diagram for ACE_POSIX_Asynch_Read_File_Result

[legend]
Collaboration diagram for ACE_POSIX_Asynch_Read_File_Result:

[legend]
List of all members.

## Public Methods
u_long | bytes_transferred (void) const
| Number of bytes transferred by the operation.
const void* | act (void) const
| ACT associated with the operation.
int | success (void) const
| Did the operation succeed?
const void* | completion_key (void) const
u_long | error (void) const
| Error value if the operation fail.
ACE_HANDLE | event (void) const
| This returns ACE_INVALID_HANDLE on POSIX4 platforms.
u_long | offset (void) const
u_long | offset_high (void) const
int | priority (void) const
| The priority of the asynchronous operation.
int | signal_number (void) const
u_long | bytes_to_read (void) const
| The number of bytes which were requested at the start of the asynchronous read.
ACE_Message_Block& | message_block (void) const
| Message block which contains the read data.
ACE_HANDLE | handle (void) const
| I/O handle used for reading.
int | post_completion (ACE_Proactor_Impl *proactor)
| Post <this> to the Proactor.
## Protected Methods
| ACE_POSIX_Asynch_Read_File_Result (ACE_Handler &handler, ACE_HANDLE handle, ACE_Message_Block &message_block, u_long bytes_to_read, const void* act, u_long offset, u_long offset_high, ACE_HANDLE event, int priority, int signal_number)
virtual void | complete (u_long bytes_transferred, int success, const void *completion_key, u_long error)
| ACE_Proactor will call this method when the read completes.
virtual | ~ACE_POSIX_Asynch_Read_File_Result (void)
| Destructor.
## Friends
class | ACE_POSIX_AIOCB_Asynch_Read_File
class | ACE_POSIX_Proactor

## Detailed Description

This class provides concrete implementation for class for POSIX platforms.

## Constructor & Destructor Documentation

ACE_POSIX_Asynch_Read_File_Result::ACE_POSIX_Asynch_Read_File_Result ( | ACE_Handler & handler,
| ACE_HANDLE handle,
| ACE_Message_Block & message_block,
| u_long bytes_to_read,
| const void * act,
| u_long offset,
| u_long offset_high,
| ACE_HANDLE event,
| int priority,
| int signal_number )`[protected]`

ACE_POSIX_Asynch_Read_File_Result::~ACE_POSIX_Asynch_Read_File_Result ( | void )`[protected, virtual]`

| Destructor.

## Member Function Documentation

const void * ACE_POSIX_Asynch_Read_File_Result::act ( | void ) const

| ACT associated with the operation. Reimplemented from ACE_POSIX_Asynch_Read_Stream_Result.

u_long ACE_POSIX_Asynch_Read_File_Result::bytes_to_read ( | void ) const

| The number of bytes which were requested at the start of the asynchronous read. Reimplemented from ACE_POSIX_Asynch_Read_Stream_Result.

u_long ACE_POSIX_Asynch_Read_File_Result::bytes_transferred ( | void ) const

| Number of bytes transferred by the operation. Reimplemented from ACE_POSIX_Asynch_Read_Stream_Result.

void ACE_POSIX_Asynch_Read_File_Result::complete ( | u_long bytes_transferred,
| int success,
| const void * completion_key,
| u_long error )`[protected, virtual]`

| ACE_Proactor will call this method when the read completes. Reimplemented from ACE_POSIX_Asynch_Read_Stream_Result.

const void * ACE_POSIX_Asynch_Read_File_Result::completion_key ( | void ) const

| This is the ACT associated with the handle on which the Asynch_Operation takes place. @ This is not implemented for POSIX4 platforms. Reimplemented from ACE_POSIX_Asynch_Read_Stream_Result.

u_long ACE_POSIX_Asynch_Read_File_Result::error ( | void ) const

| Error value if the operation fail. Reimplemented from ACE_POSIX_Asynch_Read_Stream_Result.

ACE_HANDLE ACE_POSIX_Asynch_Read_File_Result::event ( | void ) const

| This returns ACE_INVALID_HANDLE on POSIX4 platforms. Reimplemented from ACE_POSIX_Asynch_Read_Stream_Result.

ACE_HANDLE ACE_POSIX_Asynch_Read_File_Result::handle ( | void ) const

| I/O handle used for reading. Reimplemented from ACE_POSIX_Asynch_Read_Stream_Result.

ACE_Message_Block & ACE_POSIX_Asynch_Read_File_Result::message_block ( | void ) const

| Message block which contains the read data. Reimplemented from ACE_POSIX_Asynch_Read_Stream_Result.

u_long ACE_POSIX_Asynch_Read_File_Result::offset ( | void ) const

| This really make sense only when doing file I/O. @ On POSIX4-Unix, offset_high should be supported using aiocb64. Reimplemented from ACE_POSIX_Asynch_Read_Stream_Result.

u_long ACE_POSIX_Asynch_Read_File_Result::offset_high ( | void ) const

| Reimplemented from ACE_POSIX_Asynch_Read_Stream_Result.

int ACE_POSIX_Asynch_Read_File_Result::post_completion ( | ACE_Proactor_Impl * proactor )

| Post <this> to the Proactor. Reimplemented from ACE_POSIX_Asynch_Read_Stream_Result.

int ACE_POSIX_Asynch_Read_File_Result::priority ( | void ) const

| The priority of the asynchronous operation. Reimplemented from ACE_POSIX_Asynch_Read_Stream_Result.

int ACE_POSIX_Asynch_Read_File_Result::signal_number ( | void ) const

| POSIX4 realtime signal number to be used for the operation. <signal_number> ranges from SIGRTMIN to SIGRTMAX. By default, SIGRTMIN is used to issue calls. This is a no-op on non-POSIX4 systems and returns 0. Reimplemented from ACE_POSIX_Asynch_Read_Stream_Result.

int ACE_POSIX_Asynch_Read_File_Result::success ( | void ) const

| Did the operation succeed? Reimplemented from ACE_POSIX_Asynch_Read_Stream_Result.

## Friends And Related Function Documentation

class ACE_POSIX_AIOCB_Asynch_Read_File`[friend]`

| Factory classes willl have special permissions.

class ACE_POSIX_Proactor`[friend]`

| The Proactor constructs the Result class for faking results. Reimplemented from ACE_POSIX_Asynch_Read_Stream_Result.

The documentation for this class was generated from the following files:

- POSIX_Asynch_IO.h
- POSIX_Asynch_IO.cpp